apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: pdg-db-secret
  namespace: personal-data-gateway-db-develop
spec:
  target:
    name: pdg-db-secret
    deletionPolicy: Delete
    template:
      type: Opaque
      data:
        db_user: '{{ .db_user }}'
        db_pass: '{{ .db_pass }}'
        db_name: '{{ .db_name }}'
  data:
    - remoteRef:
        key: api-db-develop
        property: db_user
      secretKey: db_user
      sourceRef:
        storeRef:
          kind: ClusterSecretStore
          name: bitwarden-fields
    - remoteRef:
        key: api-db-develop
        property: db_pass
      secretKey: db_pass
      sourceRef:
        storeRef:
          kind: ClusterSecretStore
          name: bitwarden-fields
    - remoteRef:
        key: api-db-develop
        property: db_name
      secretKey: db_name
      sourceRef:
        storeRef:
          kind: ClusterSecretStore
          name: bitwarden-fields
  refreshInterval: 2m
